/*  ___   ___  ___  _   _  ___   ___   ____ ___  ____  
 * / _ \ /___)/ _ \| | | |/ _ \ / _ \ / ___) _ \|    \ 
 *| |_| |___ | |_| | |_| | |_| | |_| ( (__| |_| | | | |
 * \___/(___/ \___/ \__  |\___/ \___(_)____)___/|_|_|_|
 *                  (____/ 
 * Osoyoo Wifi Smart Home V2.0 Lesson 3-3
 * 
 * tutorial url: https://osoyoo.com/?p=40256
 */
#define BLYNK_PRINT Serial
#include <BlynkSimpleShieldEsp8266.h>
#include <ESP8266_Lib.h>
char auth[] = "0ByWpc50cmOJ5O6OyHMaK4OSHkDvUeI-";//replace this with your Blynk Token
char server_ip[]="192.168.1.81"; // replace this line with your Blynk Server IP address
// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "***";//replace this line with your wifi ssid
char pass[] = "***"; //replace this line with your wifi password
#include <SoftwareSerial.h>
SoftwareSerial EspSerial(A9, A8); // RX, TX
ESP8266 wifi(&EspSerial);
int LED = 2;//the pin of the LED
int buzzer = 7;
int firePin = A1;   // Input pin for the Flame Sensor
int fireValue = 0;  // Variable to store the value coming from the flame sensor
SimpleTimer timer;
 

void fireSensor(){
  fireValue = analogRead(firePin);
  Serial.println(fireValue);
  if (fireValue < 700) {
    Blynk.notify("Fire!Fire!Fire!");
    digitalWrite(LED, HIGH);
    digitalWrite(buzzer, HIGH);

  }
else
{
    digitalWrite(LED, LOW);
    digitalWrite(buzzer, LOW);
}
}
void setup()
{
  // Debug console
  Serial.begin(9600);
 while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
  Serial.println("start");
  // set the data rate for the SoftwareSerial port
  EspSerial.begin(115200);
  EspSerial.write("AT+UART_DEF=9600,8,1,0,0\r\n");
  EspSerial.write("AT+RST\r\n");
  delay(100);
  EspSerial.begin(9600);
  Blynk.begin(auth, wifi, ssid, pass,server_ip,8080);

  timer.setInterval(2500L, fireSensor);
}

void loop()
{
  Blynk.run();
    timer.run();

    

  }
